.bottom-banner {
  display: flex;
  position: relative;
  flex-direction: column;
  width: 100%;
  height: 1037px;
  overflow-y: hidden;
  justify-content: center;
  align-items: center;
  background: #000;
  gap: 80px;
  overflow-x: hidden;
}

.bottom-banner__video {
  min-width: 100%;
  min-height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.bottom-banner__filter {
  min-width: 100%;
  min-height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  background: linear-gradient(0deg, rgba(3, 7, 18, 0.8) 0%, rgba(3, 7, 18, 0.8) 100%);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  z-index: 1;
}

.bottom-banner__heading {
  color: #fff;
  text-align: center;
  font-size: 80px;
  font-weight: 600;
  line-height: 120%;
  letter-spacing: -1.6px;
  z-index: 2;
  opacity: 0;
  transition: 0.4s ease-out;
  transition-property: opacity, transform;
  transform: translateY(25%);
}

.bottom-banner__heading--visible {
  opacity: 1;
  transform: translateY(0);
}

.bottom-banner__button {
  opacity: 0;
  display: flex;
  height: 108px;
  padding: 16px 48px;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  background: #05d16e;
  border: none;
  z-index: 2;
  color: #fff;
  text-align: center;
  font-size: 32px;
  font-weight: 600;
  line-height: 140%;
  letter-spacing: -0.32px;
  transition: 0.8s ease-out;
  transition-property: opacity, transform;
  transform: translateY(25%);
}

.bottom-banner__button--visible {
  opacity: 1;
  transform: translateY(0);
}

.bottom-banner__button:hover {
  color: #ffffff;
  background-color: #05bc63;
  cursor: pointer;
}

@media (max-width: 1919px) {
  .bottom-banner {
    height: 900px;
    gap: 64px;
  }

  .bottom-banner__heading {
    font-size: 64px;
    line-height: 130%;
    letter-spacing: -1.28px;
  }

  .bottom-banner__button {
    height: 108px;
    padding: 16px 48px;
    font-size: 32px;
    font-weight: 600;
    line-height: 140%;
    letter-spacing: -0.32px;
  }
}

@media (max-width: 1599px) {
  .bottom-banner {
    height: 640px;
    gap: 48px;
  }

  .bottom-banner__heading {
    font-size: 56px;
    letter-spacing: -1.12px;
  }

  .bottom-banner__button {
    height: 70px;
    padding: 18px 32px;
    font-size: 24px;
    font-weight: 700;
    line-height: 140%;
    letter-spacing: -0.24px;
  }
}

@media (max-width: 768px) {
  .bottom-banner {
    gap: 32px;
    height: 680px;
  }

  .bottom-banner__heading {
    font-size: 32px;
    line-height: 140%;
    letter-spacing: -0.32px;
  }

  .bottom-banner__button {
    height: 60px;
    padding: 0 24px;
    font-size: 18px;
    font-weight: 600;
    line-height: 160%;
    letter-spacing: -0.18px;
  }
}
